Subject: [lojban] Re: Epiphany

From: Invent Yourself <[email-masked]>
Date: Wed, 26 Feb 2003 11:07:48 -0500 (EST)

Welcome. Yes, the semantic web languages map very nicely onto Lojban. An
RDF triple is a 2-place brivla! Lojban seems to me like an excellent
Semantic Web language.

RDF is a language for writing {subject, predicate, object} triples. N3 is
one notation for RDF; the others are sketched graphs, and XML. DAML+OIL is
an ontology language, based on RDF, which offers simple concepts like
"equals" and "subset". Ontologies are created using DAML+OIL. These are
vocabularies of related concepts, such as one for soccer games, weather,
music, or space shuttle missions. (take a look
http://www.daml.org/ontologies/keyword.html)

I don't hold your confusion against you; the Semantic Web documentation is
TERRIBLE!!!

>>From time to time I try to stir interest in these issues on this list, but
nobody bites. Possible projects include trying the reverse germination and
writing a document about Lojban for Semantic Web dudes, or starting on a
DAML+OIL representation of a few Lojban gismu.

On Wed, 26 Feb 2003, skorgu <[email-masked]> wrote:

> Hi, you don't know me and this is only peripherally, but keep reading
> anyway. My name is Patrick and I'm a newcomer to lojban. As such, I
> really don't have a comprehensive grasp of the language but I think I
> understand most of the fundamental concepts of the language. What
> excites me most about it is the ability to unambiguously state
> relationships and the implications of those relationships.
>
> Clearly this is important in conversation, but it is even more
> important in relating to computers. Bear with me, I know this has
> been said but its going somewhere.
>
> Basically, while I was browsing around randomly, I stumbled across
> something called DAML+OIL which is essentially an effort to create a
> gigantic relationship-table. Using it you can recreate some or all of
> the possible relationships in the human experience. Already I was
> thinking of its application to lojban, after all what better way to
> bridge the human computer gap than if both sides are unambiguous.
>
> Then I read about N3. N3 is an alternative formulation of DAML+OIL,
> and six lines into the introduction to it
> (http://www.w3.org/2000/10/swap/Primer.html) my jaw fell clean out of
> my skull. The formulation is identical to lojban, if its grammar is
> simplified. It uses selbri and sumti, and just calls bridi triplets.
> I highly suggest that anyone interested in machine-human interfaces
> read the DAML+OIL documents
> (http://www.cs.umd.edu/users/hendler/sciam/walkthru.html) and
> especially the N3 pages.
>
> This is very exciting to me. I can clearly envision a simple
> correspondance table linking various DAML identities to their lojban
> counterparts. In short, I think this is how true human computer
> interfaces could be designed. Why bother parsing a natural language
> and guessing when you can be precise?
>
> I hope someone reads this and can take the next step: fiddling with
> the DAML/N3 namespaces and seeing how close they really are to lojban,
> then making the two talk (so much easier said than done)
>
> --Patrick
>
>
> To unsubscribe, send mail to [email-masked]
>
> Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/
>
>
>
>

-- 
Seventy-two city councils, including Philadelphia,
Austin, Chicago, Baltimore and Cleveland have
passed anti-war resolutions.